/*
 * Emstest.c -- EMS Table Routines Test Pgm
 */

#include <dos.h>
#include <mem.h>
#include <alloc.h>
#include <stdio.h>
#include <stdlib.h>
#include <conio.h>

#include "etbl.h"

struct etbl et1 = { 100, 1000, 1, 0, 0, 0 } ;

main()
{
	int i;
	int far *q;

	etinit(&et1);

	for (i = 1; i <= 1000; i++) {
		q = etmap(&et1, i);
		if (q == 0L)
			err("Etmap failed for %d", i);
		*q = i;
	}
	for (i = 1; i <= 1000; i++) {
		q = etmap(&et1, i);
		if (q == 0L)
			err("Etmap failed for %d", i);
		if (*q != i)
			err("Data error - exp %d got %d", i, *q);
	}
	etclose(&et1);
	err("Test successful");
}

err(s)
const char *s;
{
	va_list argptr;
	va_start(argptr, s);
	fprintf(stderr, "Terminated: ");
	vfprintf(stderr, s, argptr);
	fprintf(stderr, "\n");
	exit(2);
}

