
/*
 * Etbl.h -- Structure describing table in EMS
 */

struct etbl {
	int e_elen;							/* Table entry length */
	int e_ecnt;							/* Table entry count */
	int e_efrm;							/* Frame to be used */
	int e_ecur;							/* Last assigned entry number */
	int e_ecpf;							/* Entry count per page */
	int e_pgs;							/* Pages allocated */
	int e_hand;							/* EMS Handle */
} ;

void far * far etmap(struct etbl far *, int);
int far etinit(struct etbl far *);
void far etclose(struct etbl far *);
